/*
 * @Author: wenjie 1454560336@qq.com
 * @Date: 2024-09-18 10:57:18
 * @LastEditors: wenjie 1454560336@qq.com
 * @LastEditTime: 2024-09-23 15:29:38
 * @FilePath: \admin-manage\src\api\luckyDraw.js
 * @Description: 
 * 
 * Copyright (c) 2024 by ${git_name_email}, All Rights Reserved. 
 */
import request from '@/utils/request'

// 抽奖列表
export function getLuckyDrawList(params) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/search',
    method: 'get',
    params
  })
}

// 添加编辑抽奖
export function saveOrUpdateLuckyDraw(data) {
    return request({
      url: '/zswl-cloud-shop/raffleInfo/saveOrUpdate',
      method: 'post',
      data
    })
  }

  
// 抽奖详情
export function getLuckyDrawDetail(params) {
    return request({
      url: '/zswl-cloud-shop/raffleInfo/detail',
      method: 'get',
      params
    })
  }

// 抽奖开启关闭
export function luckyDrawEnable(params) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/enable',
    method: 'get',
    params
  })
}


// 抽奖规则
export function luckyDrawRule(params) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/rule',
    method: 'get',
    params
  })
}

// 中奖数据
export function prizeList(params) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/prizeList',
    method: 'get',
    params
  })
}


// 发放
export function sendPrize(params) {
  return request({
    url: '/zswl-cloud-shop/raffleInfo/send',
    method: 'get',
    params
  })
}